Skip to content
Stashtab Docs
Esc
↑↓navigate↵open⌘Jpreview

Update a recipient

PATCH/v1/organizations/{orgId}/recipients/{recipientId}
Authorization
AuthorizationBasic auth · headerrequired

Registered confidential integration credentials. Keep the secret server-side.

or
CookieAPI key · headerrequired

Console-managed Vault session cookie; secure cookie naming may vary by environment.

Path parameters
orgIdstringrequired
min length 1 · max length 128 · matches ^[A-Za-z0-9_-]+$
recipientIdstringrequired
min length 1 · max length 128 · matches ^[A-Za-z0-9_-]+$
Request body
requiredapplication/json
addressLine1string | null
Show properties
Any of:
string
string
null
null
addressLine2string | null
Show properties
Any of:
string
string
null
null
addressLine3string | null
Show properties
Any of:
string
string
null
null
citystring | null
Show properties
Any of:
string
string
null
null
companyNamestring | null
Show properties
Any of:
string
string
null
null
contactNamestring | null
Show properties
Any of:
string
string
null
null
countryCodestring | null
Show properties
Any of:
string
string
null
null
defaultIncotermstring | null
Show properties
Any of:
string
string
null
null
emailstring | null
Show properties
Any of:
string
string
null
null
importerOfRecordstring | null
Show properties
Any of:
string
string
null
null
legalNamestring | null
Show properties
Any of:
string
string
null
null
phonestring | null
Show properties
Any of:
string
string
null
null
postalCodestring | null
Show properties
Any of:
string
string
null
null
regionstring | null
Show properties
Any of:
string
string
null
null
taxIdentifierstring | null
Show properties
Any of:
string
string
null
null
expectedRevisionintegerrequired
min 1 · max 9007199254740991
submissionKeystringrequired
min length 8 · max length 128 · matches ^[A-Za-z0-9_.:-]+$
Responses
200

Success

dataobjectrequired
Show properties
effectsstring[]required
operationIdstringrequired
outcomestringrequired
recipientobjectrequired
Show properties
addressLine1string | nullrequired
addressLine2string | nullrequired
addressLine3string | nullrequired
citystring | nullrequired
companyNamestring | nullrequired
contactNamestring | nullrequired
countryCodestring | nullrequired
defaultIncotermstring | nullrequired
Show properties
Any of:
string
string
null
null
emailstring | nullrequired
idstringrequired
importerOfRecordstring | nullrequired
legalNamestring | nullrequired
phonestring | nullrequired
postalCodestring | nullrequired
regionstring | nullrequired
revisionintegerrequired
max 9007199254740991
taxIdentifierstring | nullrequired
updatedAtstring<date-time>required
matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
metaobjectrequired
Show properties
requestIdstringrequired
default

Error

errorobjectrequired
Show properties
codestringrequired
Allowed:forbiddeninternal_errornot_foundprovider_data_invalidprovider_outcome_unknownprovider_unavailablerate_limitedstate_conflictunauthenticatedvalidation_errorwarehouse_not_ready
fieldsobject[]
Show properties
Array of object
codestringrequired
messagestringrequired
pathstringrequired
messagestringrequired
operationIdstring
metaobjectrequired
Show properties
requestIdstringrequired
Request
curl -X PATCH '/v1/organizations/string/recipients/string' \
  -H 'Authorization: Basic YOUR_CREDENTIALS' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "addressLine1": "string",
  "addressLine2": "string",
  "addressLine3": "string",
  "city": "string",
  "companyName": "string",
  "contactName": "string",
  "countryCode": "string",
  "defaultIncoterm": "CFR",
  "email": "string",
  "importerOfRecord": "string",
  "legalName": "string",
  "phone": "string",
  "postalCode": "string",
  "region": "string",
  "taxIdentifier": "string",
  "expectedRevision": 1,
  "submissionKey": "stringst"
}'
Response
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "recipient": {
      "addressLine1": "string",
      "addressLine2": "string",
      "addressLine3": "string",
      "city": "string",
      "companyName": "string",
      "contactName": "string",
      "countryCode": "string",
      "defaultIncoterm": "CFR",
      "email": "string",
      "id": "string",
      "importerOfRecord": "string",
      "legalName": "string",
      "phone": "string",
      "postalCode": "string",
      "region": "string",
      "revision": 1,
      "taxIdentifier": "string",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  },
  "meta": {
    "requestId": "string"
  }
}

Was this page helpful?